<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}

foreach ($template->result() as $template){
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}

$url = base_url("resources/template/penetapan/pidana_umum/".$filename.".rtf");

$Template = file_get_contents($url);

$namapn = '';
$alamatpn = '';

foreach ($datapengadilan->result() as $row) {
    $namapn = $this->templatehelper->standradnaming($row->NamaPN);
    $alamatpn = $row->AlamatPN;
    $namakota = str_replace("Pengadilan Negeri ",'',$namapn);
}

if(empty($namapn)){
    $namapn = '........';
}
if(empty($alamatpn)){
    $alamatpn = '........';
}

$hakimketua = '';
$hakimAnggota='';
$tanggalpenetapanhakim = '';

$majelis = true;
foreach ($datapenetapanhakim->result() as $row) {
    if($row->jabatan_hakim_id==1){
        $hakimketua =$this->templatehelper->standradnaming($row->nama_gelar);
    }elseif($row->jabatan_hakim_id==2){
        $hakimAnggota .=$this->templatehelper->standradnaming($row->hakim_nama)."\\par "."\\par "."\\par ";
    }elseif($row->jabatan_hakim_id==3){
        $majelis = false;
        $hakimketua =$this->templatehelper->standradnaming($row->nama_gelar);
    }
    $tanggalpenetapanhakim = $this->templatehelper->convertKeTglIndo($row->tanggal_penetapan);
}

foreach ($dataperkara->result() as $row) {
    $dakwaan = $row->dakwaan;
    $nomorperkara = $row->nomor_perkara;
}

if($majelis){
    $Template = str_replace('#majelis#','Majelis ',$Template);
}else{
    $Template = str_replace('#majelis#','',$Template);
}

if(empty($hakimketua)){
    $hakimketua = '........';
}

if(empty($tanggalpenetapanhakim)){
    $tanggalpenetapanhakim = '........';
}

$counter = 1;
$pihak2=''; $penahanan_pihak2='';$namaterdakwa='';
if (!empty($dataterdakwa->num_rows)){   
    foreach ($dataterdakwa->result() as $row){
        $pihak2 .= 'Nama lengkap \tab : '.$this->templatehelper->standradnaming(strtolower($row->nama)).'\\par ';
        $pihak2 .= 'Tempat lahir \tab : '.$row->tempat_lahir.'\\par ';
        $pihak2 .= 'Umur/Tanggal lahir \tab : '.$this->tanggalhelper->getSelisihTahun($row->tanggal_lahir,date('Y-m-d')).'/ '.$this->templatehelper->convertKeTglIndo($row->tanggal_lahir).'\\par ';
        if ($row->jenis_kelamin=='L') {
            $pihak2 .= 'Jenis kelamin \tab : '.'Laki-laki'.'\\par ';
        } else {
            $pihak2 .= 'Jenis kelamin \tab : '.'Perempuan'.'\\par ';
        }
        $pihak2 .= 'Kebangsaan \tab : '.$row->warga_negara.'\\par ';
        $pihak2 .= 'Tempat tinggal \tab : '.$row->alamat.'\\par ';
        $pihak2 .= 'Agama \tab : '.$row->agama_nama.'\\par ';
        $pihak2 .= 'Pekerjaan \tab : '.$row->pekerjaan.'\\par \\par ';
        $namaterdakwa .= $this->templatehelper->standradnaming(strtolower($row->nama));

        $temp = '';
        
        $counterpenahanan = 1;
        $status_penahanan = '';
        $jenistahanan='';
        $jenis_tahanan = '';
        if ($datapenahanan->num_rows > 0 ){
            foreach ($datapenahanan->result() as $val){
                $temp = strtolower($val->status_penahanan).' dalam '.$val->jenis_tahanan;
                if (trim($status_penahanan) != strtolower(trim($val->status_penahanan)) || $status_penahanan ==='' || $jenis_tahanan === '' || $jenis_tahanan != strtolower(trim($val->jenis_tahanan))){
                    $penahanan_pihak2 .= 'Terdakwa '.$this->templatehelper->standradnaming($row->nama).' '.$temp.' oleh: \\par ';    
                }
            
                $val->oleh=str_replace(' PN', ' Pengadilan Negeri', $val->oleh);
                $val->oleh=str_replace(' pengadilan negeri', ' Pengadilan Negeri', $val->oleh);
                $val->oleh=str_replace(' pn', ' Pengadilan Negeri', $val->oleh);
                $val->oleh=str_replace(' Pn', ' Pengadilan Negeri', $val->oleh);
                $val->oleh=str_replace('Penuntut Umum', 'Penuntut', $val->oleh);
                $val->oleh=str_replace('Penuntut', 'Penuntut Umum', $val->oleh);
                $val->oleh=str_replace(' PU', ' Penuntut Umum', $val->oleh);
                $penahanan_pihak2 .= strval($counterpenahanan).'. '.$val->oleh.' sejak tanggal '.$this->templatehelper->convertKeTglIndo($val->sejak).' sampai dengan tanggal '.$this->templatehelper->convertKeTglIndo($val->sampai).'; \\par ';
                $status_penahanan = strtolower(trim($val->status_penahanan));
                $jenis_tahanan = strtolower(trim($val->jenis_tahanan));
                $counterpenahanan ++;
            }
            $Template = str_replace('#sejak#',$this->templatehelper->convertKeTglIndo($val->sejak),$Template);
            $template = str_replace('#sampai#',$this->templatehelper->convertKeTglIndo($val->sampai),$Template);
        
        }else{
            $penahanan_pihak2 .= ' Tidak ada Penahanan ';
        }
        
        $Template=str_replace('#namaterdakwa#',$namaterdakwa,$Template);
        $Template = str_replace('#jenistahanan#',$jenis_tahanan,$Template);
        $Template = str_replace('#terdakwa#',$pihak2,$Template);
        $Template = str_replace('#penahanan#',$penahanan_pihak2,$Template);
        $counter++;
    }
}

$Template = str_replace("#nomorperkara#",''.$nomorperkara.'',$Template);
$Template = str_replace("#alamatpn#",''.$alamatpn.'',$Template);
$Template = str_replace('#namapn#',''.$namapn.'',$Template);
$Template = str_replace('#namakota#',''.$namakota.'',$Template);
$Template = str_replace("#dakwaan#",''.$dakwaan.'',$Template);
$Template = str_replace("#hakimAnggota#",$hakimAnggota,$Template);
$Template = str_replace("#tahanansebelumnya#",$tahanansebelumnya,$Template);
$Template = str_replace("#menjaditahanan#",$menjaditahanan,$Template);
$Template = str_replace("#tgl_berakhir#",$tgl_berakhir,$Template);
$Template = str_replace("#tgl_penetapan#",''.$tgl_penetapan.'',$Template);
$Template = str_replace("#hakimketua#",''.$hakimketua.'',$Template);

header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"".$namafile."-".$nomorperkara.".rtf\"");
echo $Template;
?> 